FROM node:14.18.1-alpine3.12

ARG APP_PORT
ARG MYSQL_HOST
ARG MYSQL_PORT
ARG MYSQL_USER
ARG MYSQL_PASSWORD
ARG MYSQL_DATABASE
ARG SERVER_JWT_SECRET

WORKDIR /app
RUN npm install --global --force yarn
COPY .. ./
RUN yarn
RUN yarn build
EXPOSE 3001
CMD yarn start:prod
